# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-compositor
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-module-compositor
Version:        0.2b
Release:        alt1_7
Summary:        A simple OpenType GSUB and GPOS engine 

Group:          Development/Tools
License:        MIT 
URL:            http://code.typesupply.com/wiki/Compositor
Source0:        http://tools.typesupply.com/downloads/sourcecode/compositor-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
A simple OpenType GSUB and GPOS engine.

%prep
%setup -q -n compositor-%{version} 


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc License.txt usage.html development.txt
%{python_sitelibdir_noarch}/compositor
%{python_sitelibdir_noarch}/compositor-%{version}*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_7
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_6
- initial fc import

